#
#	Makefile
#
#	* Tue Dec  4 04:41:51 JST 2001 Naoyuki Sawa
#	- 作成開始。
#	* Sat May 25 15:43:00 JST 2002 Naoyuki Sawa
#	- ライブラリ構築用に特化したバージョンを作成。
#	- アプリケーション構築用に特化したバージョンを作成。
#	* Tue Jul  2 12:55:00 JST 2002 Naoyuki Sawa
#	- 自作ツールのマクロ定義を追加。
#	- lib,srf,pexの出力ファイル名を$@で指定。
#	- DEBUGシンボル定義時は、CFLAGSだけでなくLDFLAGSにも-gを追加。
#	  -gを指定しないと、リンク時にデバッグ情報が削除されてしまう。
#	* Sat Jul 20 21:16:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述を追加しました。
#	* Mon Jul 22 21:10:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述にdppcmcnvを追加しました。
#	* Mon Jul 23 04:25:00 JST 2002 Naoyuki Sawa
#	- これまでライブラリ構築用とアプリケーション構築用のMakefileを
#	  別々に管理していましたが、共通部分をclip.mkに分離し、
#	  異なる部分だけをそれぞれのMakefileに残すようにしました。
#	* Sun Jul 28 22:14:00 JST 2002 Naoyuki Sawa
#	- $(PROJECT).pexの依存ファイルに$(ICON)を追加しました。
#	* Wed Mar 29 04:42:00 JST 2006 Naoyuki Sawa
#	- cleanのターゲットに、*.$、*.ps、*.msを追加しました。
#	* Tue Jan 08 11:47:29 JST 2008 Naoyuki Sawa
#	- カスタムスタートアップルーチン(cstart.o)を使うための変更を行いました。
#	  test.pce/Makefileへの追従です。
#	  test.pce/Makefileのコメントを参照してください。
#

#DEBUG=1
#CLIP=..\clip
CLIP=..

#############################################################################
#	マクロ定義
#############################################################################

# プロジェクト名を指定してください。
# プロジェクト名はターゲットファイルのベース名となります。
PROJECT = test

# メニューに表示するタイトルを指定してください。
CAPTION = $(PROJECT)

# アイコンファイル名を指定してください。
# アイコンファイルがなければICONの定義をコメントアウトしてください。
#ICON = $(PROJECT).pid

# オブジェクトファイルを列挙してください。
OBJS =	main.o \
	pat.o  \

# ライブラリファイルを列挙してください。
LIBS =	$(CLIP)\supp\supp.lib \

# ヘッダファイルを列挙してください。
HEADERS = *.h

# プロジェクト別のコンパイラ・リンカオプションを定義してください。
# （インクルードパス、ライブラリパス、ライブラリファイルの列挙等）
APP_CFLAGS  =
APP_LDFLAGS =

#############################################################################
#	アクション
#############################################################################

# ターゲット
all: srf
srf: $(PROJECT).srf
pex: $(PROJECT).pex
run: srf
	run $(PROJECT).srf
install: pex
	isd =w $(PROJECT).pex
clean:
	@if exist *.$$  del *.$$
	@if exist *.ps  del *.ps
	@if exist *.ms  del *.ms
	@if exist *.o   del *.o
	@if exist *.sym del *.sym
	@if exist *.map del *.map
	@if exist *.crf del *.crf
	@if exist *.srf del *.srf
	@if exist *.pex del *.pex

# アクション
$(PROJECT).srf: $(OBJS)
	$(LD) -e$@ $(LDFLAGS) $(OBJS) $(LIBS)
$(PROJECT).pex: $(PROJECT).srf $(ICON)
ifdef ICON
	ppack -e -o$@ -n$(CAPTION) -i$(ICON) $(PROJECT).srf
else
	ppack -e -o$@ -n$(CAPTION)           $(PROJECT).srf
endif

#############################################################################
#	依存関係
#############################################################################

# (追加する依存関係はありません)

#############################################################################
# * clip.mkの中でシンボル定義の有無によって処理を分けているので、
#   clip.mkのインクルードは最後に行わなければいけません。
include $(CLIP)\clip.mk
